Capsule API Example

Loading...
Searching...
No Matches
Functions
CMEMSTimedData.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CPoint3d.h"`

Go to the source code of this file.

## Functions
| CLC_STRUCT_WNN (MEMSTimedData, clCMEMSTimedData, mems)
| Array of MEMS data with timestamps.
CL_DLL int32_t | clCMEMSTimedData_GetCount (clCMEMSTimedData memsTimedData) NOEXCEPT
CL_DLL clCPoint3d | clCMEMSTimedData_GetAccelerometer (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT
CL_DLL clCPoint3d | clCMEMSTimedData_GetGyroscope (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT
CL_DLL uint64_t | clCMEMSTimedData_GetTimestampMilli (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT

## Function Documentation

## ◆ CLC_STRUCT_WNN()

CLC_STRUCT_WNN | ( | MEMSTimedData | ,
|  | clCMEMSTimedData | ,
|  | mems | )

Array of MEMS data with timestamps.

Contains samples of accelerometer and gyroscope 3D vectors and their timestamps

## ◆ clCMEMSTimedData_GetAccelerometer()

CL_DLL clCPoint3d clCMEMSTimedData_GetAccelerometer | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index )

Get accelerometer orientation vector by index.

Parameters

  memsTimedData | mems handle
  index | index

Returns
  accelerometer orientation vector

## ◆ clCMEMSTimedData_GetCount()

CL_DLL int32_t clCMEMSTimedData_GetCount | ( | clCMEMSTimedData | memsTimedData | ) |

Get total number of MEMS values.

Parameters

  memsTimedData | mems handle

Returns
  number of values

## ◆ clCMEMSTimedData_GetGyroscope()

CL_DLL clCPoint3d clCMEMSTimedData_GetGyroscope | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index )

Get gyroscope orientation vector by index.

Parameters

  memsTimedData | mems handle
  index | index

Returns
  gyroscope orientation in 3D vector

## ◆ clCMEMSTimedData_GetTimestampMilli()

CL_DLL uint64_t clCMEMSTimedData_GetTimestampMilli | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index )

Get MEMS timestamp by index.

Parameters

  memsTimedData | mems handle
  index | index

Returns
  timestamp in milliseconds since epoch